class_name SettingsPopup extends PanelContainer

func show_settings(id: int = 0):
	$AnimationPlayer.play("reveal")
	$TabContainer.current_tab = id
	State.pass_stage_to($TabContainer)
	
func vanish():
	$AnimationPlayer.play("vanish")
